Bug 483825 - apidoc update for org.listSoftwareEntitlements missing param type for 'label'
apidoc update for org.listSoftwareEntitlements missing param type for 'label'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-02-03 14:52 EST by John Matthews
Modified: 2009-09-10 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-02-03 14:52:06 EST
/rhn/apidoc/handlers/OrgHandler.jsp#listSoftwareEntitlements

Method: listSoftwareEntitlements
Description:
List each organization's allocation of a given software entitlement. Organizations with no allocation will not be present in the list. A value of -1 indicates unlimited entitlements.

Parameters:

    * sessionKey
    * label - Software entitlement label.



Expected:   (update label to have a param type of string)

Parameters:

    * sessionKey
    * string label - Software entitlement label.
Comment 1 Brad Buckingham 2009-02-06 11:35:56 EST
Fixed with git commit: 1e3847b5e08c8496886dfc1c5c885427b105550c
Comment 2 John Matthews 2009-02-17 09:39:40 EST
ISO: Satellite-5.3.0-RHEL5-re20090213.1-i386-embedded-oracle.iso


Method: listSoftwareEntitlements
Description:
List each organization's allocation of a given software entitlement. Organizations with no allocation will not be present in the list. A value of -1 indicates unlimited entitlements.

Parameters:

    * string sessionKey
    * string label - Software entitlement label.

Returns:

    * array:
          o struct - entitlement usage
                + int "org_id"
                + string "org_name"
                + int "allocated"
                + int "unallocated"
                + int "used"
                + int "free"
Comment 3 John Sefler 2009-08-28 13:01:15 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

moving to RELEASE_PENDING

This signature in Comment#2 has been deprecated and replaced:
click Help|About > API > org > listSoftwareEntitlements


Method: listSoftwareEntitlements
Description:
List each organization's allocation of a given software entitlement. Organizations with no allocation will not be present in the list. A value of -1 indicates unlimited entitlements.

Deprecated as of version - being replaced by listSoftwareEntitlements(string sessionKey, string label, boolean includeUnentitled)

Parameters:

    * string sessionKey
    * string label - Software entitlement label.

Returns:

    * array:
          o struct - entitlement usage
                + int "org_id"
                + string "org_name"
                + int "allocated"
                + int "unallocated"
                + int "used"
                + int "free"

Method: listSoftwareEntitlements
Description:
List each organization's allocation of a given software entitlement. A value of -1 indicates unlimited entitlements.

Parameters:

    * string sessionKey
    * string label - Software entitlement label.
    * boolean includeUnentitled - If true, the result will include both organizations that have the entitlement as well as those that do not; otherwise, the result will only include organizations that have the entitlement.

Returns:

    * array:
          o struct - entitlement usage
                + int "org_id"
                + string "org_name"
                + int "allocated"
                + int "unallocated"
                + int "used"
                + int "free"

Available since: 10.4
Comment 4 Brandon Perkins 2009-09-10 15:54:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.